[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ExtUTF8Out

Draws an UTF-8 string without formatting (single line).

## Declaration

Source position: lclintfh.inc line 64

`public function TWidgetSet.ExtUTF8Out(`
`DC: HDC;`
`X: Integer;`
`Y: Integer;`
`Options: LongInt;`
`Rect: PRect;`
`Str: PChar;`
`Count: LongInt;`
`Dx: PInteger`
`):Boolean; virtual;`

## Arguments

`DC` |  | The Device Context.
`X` |  | The reference point, used to position the text.
`Y` |  | The reference point, used to position the text.
`Options` |  | Output options.
`Rect` |  | The bounding rectangle.
`Str` |  | The text.
`Count` |  | The number of Chars in the string.
`Dx` |  | Pointer to an array of inter-character spacing values, can be Nil.

## Function result

False on failure.

## Description

The inter-character spacing array (Dx) must have one element for every Char (byte) in the UTF-8 text. For multi-byte character codes the values of all Dx elements are summed up.

## See also

TWidgetSet.ExtTextOut |  | Draws a string without formatting (single line).